Loading...
Searching...
No Matches
pcl::CloudSurfaceProcessing< PointInT, PointOutT > Class Template Referenceabstract
Module surface

CloudSurfaceProcessing represents the base class for algorithms that takes a point cloud as input and produces a new output cloud that has been modified towards a better surface representation. More...

`#include <pcl/surface/processing.h>`

Inheritance diagram for pcl::CloudSurfaceProcessing< PointInT, PointOutT >:

## Public Types

using | Ptr = shared_ptr< CloudSurfaceProcessing< PointInT, PointOutT > >
using | ConstPtr = shared_ptr< const CloudSurfaceProcessing< PointInT, PointOutT > >
Public Types inherited from pcl::PCLBase< PointInT >
using | PointCloud = pcl::PointCloud< PointInT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr

## Public Member Functions

| CloudSurfaceProcessing ()
| Constructor.
| ~CloudSurfaceProcessing () override=default
| Empty destructor.
virtual void | process (pcl::PointCloud< PointOutT > &output)
| Process the input cloud and store the results.
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor.
| PCLBase (const PCLBase &base)
| Copy constructor.
virtual | ~PCLBase ()=default
| Destructor.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset.
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (std::size_t row_start, std::size_t col_start, std::size_t nb_rows, std::size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud.
IndicesPtr | getIndices ()
| Get a pointer to the vector of indices used.
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used.
const PointInT & | operator[] (std::size_t pos) const
| Override PointCloud operator[] to shorten code.

## Protected Member Functions

virtual void | performProcessing (pcl::PointCloud< PointOutT > &output)=0
| Abstract cloud processing method.
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation.
bool | deinitCompute ()
| This method should get called after finishing the actual computation.

## Additional Inherited Members

Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

## Detailed Description

template<typename PointInT, typename PointOutT>
class pcl::CloudSurfaceProcessing< PointInT, PointOutT >

CloudSurfaceProcessing represents the base class for algorithms that takes a point cloud as input and produces a new output cloud that has been modified towards a better surface representation.

These types of algorithms include surface smoothing, hole filling, cloud upsampling etc.

Author
  Alexandru E. Ichim

Definition at line 57 of file processing.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointInT , typename PointOutT >

using pcl::CloudSurfaceProcessing< PointInT, PointOutT >::ConstPtr = shared_ptr<const CloudSurfaceProcessing<PointInT, PointOutT> >

Definition at line 61 of file processing.h.

## Ptr

template<typename PointInT , typename PointOutT >

using pcl::CloudSurfaceProcessing< PointInT, PointOutT >::Ptr = shared_ptr<CloudSurfaceProcessing<PointInT, PointOutT> >

Definition at line 60 of file processing.h.

## Constructor & Destructor Documentation

## CloudSurfaceProcessing()

template<typename PointInT , typename PointOutT >

pcl::CloudSurfaceProcessing< PointInT, PointOutT >::CloudSurfaceProcessing | ( |  | ) |

inline

Constructor.

Definition at line 70 of file processing.h.

## ~CloudSurfaceProcessing()

template<typename PointInT , typename PointOutT >

pcl::CloudSurfaceProcessing< PointInT, PointOutT >::~CloudSurfaceProcessing | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## performProcessing()

template<typename PointInT , typename PointOutT >

virtual void pcl::CloudSurfaceProcessing< PointInT, PointOutT >::performProcessing | ( | pcl::PointCloud< PointOutT > & | output | ) |

protected pure virtual

Abstract cloud processing method.

Implemented in pcl::BilateralUpsampling< PointInT, PointOutT >, and pcl::MovingLeastSquares< PointInT, PointOutT >.

## process()

template<typename PointInT , typename PointOutT >

void pcl::CloudSurfaceProcessing< PointInT, PointOutT >::process | ( | pcl::PointCloud< PointOutT > & | output | ) |

virtual

Process the input cloud and store the results.

Parameters

  [out] | output | the cloud where the results will be stored

Reimplemented in pcl::BilateralUpsampling< PointInT, PointOutT >, and pcl::MovingLeastSquares< PointInT, PointOutT >.

Definition at line 47 of file processing.hpp.

References pcl::PointCloud< PointT >::clear(), pcl::PointCloud< PointT >::header, pcl::PointCloud< PointT >::height, and pcl::PointCloud< PointT >::width.

The documentation for this class was generated from the following files:

- pcl/surface/processing.h
- pcl/surface/impl/processing.hpp